﻿Public Class VariablesForm
    Private _formText As String = ""
    Private _variableKey As String
    Private _variableValue As String
    Private _includeTerminalID As Boolean
    Private _variableDataFormat As OseComm.VariableDataFormat
    Private _isSetVariable As Boolean = True

	Private Sub QueryForm_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
		Text = _formText
		[Enum].GetNames(GetType(OseComm.VariableDataFormat))
		ComboBoxDataFormat.Items.AddRange([Enum].GetNames(GetType(OseComm.VariableDataFormat)))
		ComboBoxDataFormat.SelectedIndex = 0

		If (_isSetVariable) Then
			CheckBoxTerminalID.Enabled = False
			LabelDataFormat.Enabled = False
			ComboBoxDataFormat.Enabled = False
		Else
			LabelVariableValue.Enabled = False
			TextBoxVarValue.Enabled = False
		End If
	End Sub

	ReadOnly Property VariableKey() As String
		Get
			Return _variableKey
		End Get
	End Property


	ReadOnly Property VariableValue() As String
		Get
			Return _variableValue
		End Get
	End Property

	WriteOnly Property FormText() As String
		Set(ByVal value As String)
			_formText = value
		End Set
	End Property

	ReadOnly Property IncludeTerminalID() As Boolean
		Get
			Return _includeTerminalID
		End Get
	End Property

	ReadOnly Property VariableDataFormat() As OseComm.VariableDataFormat
		Get
			Return _variableDataFormat
		End Get
	End Property

	WriteOnly Property IsSetVariable() As Boolean
		Set(ByVal value As Boolean)
			_isSetVariable = value
		End Set
	End Property

	Private Sub ButtonOK_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ButtonOK.Click
		_variableKey = TextBoxVarKey.Text
		_variableValue = TextBoxVarValue.Text
		_includeTerminalID = CheckBoxTerminalID.Checked
		_variableDataFormat = [Enum].Parse(GetType(OseComm.VariableDataFormat), ComboBoxDataFormat.SelectedItem)
	End Sub
End Class